"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showBubble = exports.resetBubbleData = exports.requestBubblePermissions = exports.loadData = exports.initializeBubble = exports.hideBubble = exports.getBubbleState = exports.checkBubblePermissions = void 0;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-bubble-notifications' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const BubbleNotifications = _reactNative.NativeModules.BubbleNotifications ? _reactNative.NativeModules.BubbleNotifications : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

const showBubble = function () {
  let x = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 50;
  let y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 100;
  return BubbleNotifications.showFloatingBubble(x, y);
};

exports.showBubble = showBubble;

const hideBubble = () => {
  return BubbleNotifications.hideFloatingBubble();
};

exports.hideBubble = hideBubble;

const checkBubblePermissions = () => {
  return BubbleNotifications.checkPermission();
};

exports.checkBubblePermissions = checkBubblePermissions;

const requestBubblePermissions = () => {
  return BubbleNotifications.requestPermission();
};

exports.requestBubblePermissions = requestBubblePermissions;

const initializeBubble = () => {
  return BubbleNotifications.initialize();
};

exports.initializeBubble = initializeBubble;

const loadData = (dropOffLoc, dropOffAddr, pickUpLoc, pickUpAddr, fare) => {
  return BubbleNotifications.loadData(dropOffLoc, dropOffAddr, pickUpLoc, pickUpAddr, fare);
};

exports.loadData = loadData;

const getBubbleState = () => {
  return BubbleNotifications.getState();
};

exports.getBubbleState = getBubbleState;

const resetBubbleData = () => {
  return BubbleNotifications.resetBubbleDataFromReact();
};

exports.resetBubbleData = resetBubbleData;
//# sourceMappingURL=index.js.map