import { NativeModules } from 'react-native';

const { BubbleNotifications } = NativeModules;

export function showBubble(x = 50, y = 100) {
  return BubbleNotifications.showFloatingBubble(x, y);
}

export function hideBubble() {
  return BubbleNotifications.hideFloatingBubble();
}

export function checkBubblePermission() {
  return BubbleNotifications.checkPermission();
}

export function requestBubblePermissions() {
  return BubbleNotifications.requestPermission();
}

export function initializeBubble() {
  return BubbleNotifications.initialize();
}

export function loadData(dropOffLoc, dropOffAddr, pickUpLoc, pickUpAddr, fare) {
  return BubbleNotifications.loadData(
    dropOffLoc,
    dropOffAddr,
    pickUpLoc,
    pickUpAddr,
    fare
  );
}

export const getBubbleState = () => {
  return BubbleNotifications.getState();
};

export const resetBubbleData = () => {
  return BubbleNotifications.resetBubbleDataFromReact();
};
